searchData={"items":[{"type":"module","title":"DataframeTools","doc":"Documentation for `DataframeTools`.","ref":"DataframeTools.html"},{"type":"module","title":"DataframeTools.Date","doc":"","ref":"DataframeTools.Date.html"},{"type":"function","title":"DataframeTools.Date.convert_column_to_date/2","doc":"Automagically try and convert a column in a dataframe to a date or datetime.\nIt will check to see if the first 10 items in that column are dates,\nbased on zero padding eg. 2021-01-01 yyyy-mm-dd\nand if so, convert to a date.  If not, convert to a datetime.\n\nTODO: look at converting numbers in a reasonable timestamp range to datetimes","ref":"DataframeTools.Date.html#convert_column_to_date/2"},{"type":"function","title":"Examples - DataframeTools.Date.convert_column_to_date/2","doc":"iex> df = Explorer.DataFrame.new(%{\n    ...>   dates: Explorer.Series.from_list(~w(2010-01-01 2020-02-01)),\n    ...>   datetimes: Explorer.Series.from_list([1, nil])\n    ...> })\n    iex> df2 = DataframeTools.Date.convert_column_to_date(df, :dates)\n    iex> Explorer.DataFrame.dtypes(df2)\n    %{\"dates\" => :date, \"datetimes\" => {:s, 64}}\n\n\n    iex> df = Explorer.DataFrame.new(%{\n    ...>   dates: Explorer.Series.from_list(~w(2010-01-01 2020-02-01)),\n    ...>   datetimes: Explorer.Series.from_list([\"2024-04-25T13:05:41+10:00\", \"2024-04-01T13:05:41+10:00\"])\n    ...> })\n    iex> df3 = DataframeTools.Date.convert_column_to_date(df, :datetimes)\n    iex> Explorer.DataFrame.dtypes(df3)\n    %{\"dates\" => :string, \"datetimes\" => {:datetime, :microsecond}}","ref":"DataframeTools.Date.html#convert_column_to_date/2-examples"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}